<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use DB;

class RemiseController extends Controller
{
    //


    function nouveau() {

        if(session('user')== null) {
            return redirect('/');
        }

        $remise = DB::table('remise')->where('magasin_id', session('user')->magasin_id)->orderBydesc('id')->get();

        return view('remise/nouveau',[

            'remise' => $remise,

        ]);
    }

    function modifier($id) {

        if(session('user')== null) {
            return redirect('/');
        }

        $taxe = DB::table('taxes')->orderBydesc('id')->get();

        $tax = DB::table('taxes')->where('id', $id)->first(); 

        return view('taxes/modification',[

            'taxe' => $taxe,
            'tax' => $tax,

        ]);
    }

    function enregistrer (Request $request){

        $taux= request("taux");
        $lib= request("lib");
        $date= date('Y-m-d');
        $magasin= session('user')->magasin_id;
              
        $veri = DB::table('remise')->where('taux', $taux)->where('magasin_id', $magasin)->first();

            if($veri){
                $message = [
                    "title" => 'Error',
                    "type" => 'error',
                    "response" => 'Cette remise a déjà été enregistrée !',
                ];
    
                return $message;
            }

            else{
                  
                    DB::table('remise')->insert(
    
                        [   
                            'taux' => $taux,
                            'date' => $date,
                            'etat' => "Non actif",
                            'magasin_id' => session('user')->magasin_id,
                            'user_id' => session('user')->id,
                        ]
                    );
        
                $message = [
                    "title" => 'success',
                    "type" => 'success',
                    "response" => 'Enregistrement effectué avec succès !',
                ];
        
                return $message; 
            } 

    }


    function valider (Request $request, $id){

        $taux= request("taux");
        $lib= request("lib");
        //$datetic= implode('-', array_reverse(explode('/', request('datetic'))));
        $today = date('Y-m-d');     
        //$veri = DB::table('ticket')->where('id', $id)->where('montant', $mont)->where('date', $datetic)->first();

            /*if($veri){
                $message = [
                    "title" => 'Error',
                    "type" => 'error',
                    "response" => 'Ce ticket a été déjà enregistrée !',
                ];
    
                return $message;
            }

            else{ */
                  
                DB::table('taxes')->where('id', $id)->update(
    
                        [   
                            'taux' => $taux,
                            'date_entree' => $today,
                            'lib' => $lib,
                        ]
                    );
        
                $message = [
                    "title" => 'success',
                    "type" => 'success',
                    "response" => 'Modification effectuée avec succès !',
                ];
        
                return $message; 
            }

    


    function VoirSuppressionventeticket ($id) {

        $venteticket= DB::table('vente_ticket')->where('id',$id)->first();
        return [

            'venteticket' => $venteticket,
        ];
    }

    function supprimerventeticket () {

        $id=request('id');

        $veri =  DB::table('vente')->where('vente_ticket_id', $id)->first();

        if($veri) {

            return redirect()->route('vente_ticket')->with('error', 'Suppression impossible ! l\'un des tickets de cette vente a été déjà utilisé');
        
        }else{

            DB::table('ligne_vente_ticket')->where('vente_ticket_id', $id)->delete();

            DB::table('vente_ticket')->where('id', $id)->delete();
    
            return redirect()->route('vente_ticket')->with('status', 'Suppression effectuée avec succes');
        }

    }


    function Voirremise ($id) {

        $remise= DB::table('remise')->where('id',$id)->first();
        return [
            'remise' => $remise,
        ];
    }

    function supprimer () {

        $id=request('id');
        DB::table('remise')->where('id', $id)->delete();
        return redirect()->route('nouvelle-remise')->with('status', 'Suppression effectuée avec succes');
    }
	//Activer remise
	function upd () {
		$id=request('id');
        DB::table('remise')->where('id', $id)->update(
    
                        [   
                            'etat' => 'Actif',
                        ]
                    );
        return redirect()->route('nouvelle-remise')->with('status', 'Remise activée avec succès');
    }
	//Desactiver remise
	function ann () {
		$id=request('id');
        DB::table('remise')->where('id', $id)->update(
    
                        [   
                            'etat' => 'Non actif',
                        ]
                    );
        return redirect()->route('nouvelle-remise')->with('status', 'Remise désactivée avec succès');
    }

}
